<?php

/**
 * i-doit
 *
 * Application controller
 *
 * @package    i-doit
 * @subpackage General
 * @copyright  synetics GmbH
 * @license    http://www.gnu.org/licenses/agpl-3.0.html GNU AGPLv3
 */
isys_application::instance()->run(
    isys_request_controller::instance()
        ->route(
           'GET|POST',
           '/[s:module]/[s:action]/[c:method]/[i:id]',
           array(
               isys_application::instance(),
               'request'
           )
        )
        ->route(
           'GET|POST',
           '/[s:module]/[s:action]/[c:method]',
           array(
               isys_application::instance(),
               'request'
           )
        )
        ->route(
           'GET|POST',
           '/[s:module]?/[s:action]?/[i:id]?',
           array(
               isys_application::instance(),
               'request'
           )
        )
);