<?php
/**
 * i-doit - Documentation and CMDB solution for IT environments
 *
 * This file is part of the i-doit framework. Modify at your own risk.
 *
 * Please visit http://www.i-doit.com/license for a full copyright and license information.
 *
 * @version     1.7
 * @package     i-doit
 * @author      synetics GmbH
 * @copyright   synetics GmbH
 * @url         http://www.i-doit.com
 * @license     http://www.i-doit.com/license
 */
 interface isys_settings_interface { public static function get_definition(); public static function extend(array $p_settings = []); public static function initialize(isys_component_database $p_database); public static function is_initialized(); public static function load_cache($p_cachedir); public static function set($p_key, $p_value); public static function remove($p_key); public static function get($p_key = null, $p_default = ''); public static function has($p_key); public static function regenerate(); public static function override(array $p_settings); public static function force_save(); } 