<?php

/**
 * i-doit
 *
 * @package     i-doit
 * @subpackage  CMDB_Category_lists
 * @author      Dennis Stuecken <dstuecken@synetics.de>
 * @copyright   synetics GmbH
 * @license     http://www.gnu.org/licenses/agpl-3.0.html GNU AGPLv3
 */
class isys_cmdb_dao_list_cats_database_instance extends isys_cmdb_dao_list
{
	/**
	 *
	 * @return  integer
	 */
	public function get_category ()
	{
		return C__CATS__DATABASE_INSTANCE;
	} // function


	/**
	 *
	 * @return  integer
	 */
	public function get_category_type ()
	{
		return C__CMDB__CATEGORY__TYPE_SPECIFIC;
	} // function


	/**
	 *
	 * @return  array
	 */
	public function get_fields ()
	{
		return array(
			"isys_cats_database_instance_list__title" => "LC__UNIVERSAL__TITLE",
			"isys_cats_database_instance_list__listener" => "Listener",
		);
	} // function
} // class