<?php
namespace idoit\Module\Cmdb\Model;

/**
 * i-doit
 *
 * Ci Models
 *
 * @package     i-doit
 * @subpackage  Cmdb
 * @author      Dennis Stücken <dstuecken@i-doit.com>
 * @version     1.7
 * @copyright   synetics GmbH
 * @license     http://www.gnu.org/licenses/agpl-3.0.html GNU AGPLv3
 */

class CiType
{
    /**
     * @var string
     */
    public $title;

    /**
     * @var int
     */
    public $id;

    /**
     * @var string
     */
    public $const = '';

    /**
     * @return string
     */
    public function __toString()
    {
        return $this->title;
    }

    /**
     * @param $id
     * @param $title
     * @param $const
     *
     * @return CiType
     */
    public static function factory($id, $title, $const)
    {
        $object = new self();
        $object->id = $id;
        $object->title = $title;
        $object->const = $const;

        return $object;
    }
}