<?php
/**
 * i-doit - Documentation and CMDB solution for IT environments
 *
 * This file is part of the i-doit framework. Modify at your own risk.
 *
 * Please visit http://www.i-doit.com/license for a full copyright and license information.
 *
 * @version     1.7
 * @package     i-doit
 * @author      synetics GmbH
 * @copyright   synetics GmbH
 * @url         http://www.i-doit.com
 * @license     http://www.i-doit.com/license
 */
namespace idoit\Module\Cmdb\Model\Matcher\Identifier; use idoit\Module\Cmdb\Model\Matcher\AbstractIdentifier; class Location extends AbstractIdentifier { const KEY = 'location'; protected $title = 'LC__CMDB__CATG__GLOBAL_LOCATION'; protected static $bit = 2048; protected $sqlSelect = ''; protected $usableIn = [ 'CSV' ]; public function __construct() { $this->sqlSelect = 'SELECT obj.isys_obj__id AS id, obj.isys_obj__title AS title, obj.isys_obj__isys_obj_type__id AS type, \'' . self::KEY . '\' AS identKey
            FROM isys_obj AS obj
            INNER JOIN isys_catg_location_list ON isys_catg_location_list__isys_obj__id = obj.isys_obj__id
            INNER JOIN isys_obj AS loc ON loc.isys_obj__id = isys_catg_location_list__parentid
            WHERE (loc.isys_obj__title = :value: OR loc.isys_obj__id = :value:)
            AND obj.isys_obj__status = :status: :condition:'; } } 