<?php
namespace idoit\Module\Search\Index\Protocol;

/**
 * i-doit
 *
 * Search observer interface
 *
 * @package     i-doit
 * @subpackage  Modules
 * @author      Dennis Stücken <dstuecken@i-doit.com>
 * @version     1.7
 * @copyright   synetics GmbH
 * @license     http://www.gnu.org/licenses/agpl-3.0.html GNU AGPLv3
 */
interface Observer
{

    /**
     * Call update function
     *
     * @param Document               $ci
     * @param ObservableIndexManager $indexManager
     *
     * @return mixed
     */
    public function update(Document $document, ObservableIndexManager $indexManager);
}