<?php
/**
 * i-doit - Documentation and CMDB solution for IT environments
 *
 * This file is part of the i-doit framework. Modify at your own risk.
 *
 * Please visit http://www.i-doit.com/license for a full copyright and license information.
 *
 * @version     1.7
 * @package     i-doit
 * @author      synetics GmbH
 * @copyright   synetics GmbH
 * @url         http://www.i-doit.com
 * @license     http://www.i-doit.com/license
 */
namespace idoit\Controller; use idoit\Component\ContainerFacade; use idoit\Component\Provider\DiFactory; use idoit\Component\Provider\DiInjectable; final class CatchallController extends Base { use DiInjectable; public static function factory(ContainerFacade $container) { $instance = new CatchallController(); $instance->setDi($container); return $instance; } final public function handle(\isys_register $p_request) { global $g_modman; $this->getDi()->legacyRequest = $p_request; if (isset($p_request->module)) { if (($l_module_id = $g_modman->is_installed($p_request->module))) { $this->getDi()->application->module = $g_modman->load($l_module_id, $p_request); $p_request->action = str_replace(' ', '', ucwords(str_replace('-', ' ', $p_request->action))); if (isset($p_request->action) && $p_request->action !== '') { $l_class = 'idoit\\Module\\' . str_replace(' ', '', ucfirst(str_replace('_', ' ', $p_request->module))) . '\\Controller\\' . $p_request->action; if (class_exists($l_class)) { $l_controller = new $l_class($this->getDi()->application->module); } } else { $l_class = 'idoit\\Module\\' . str_replace(' ', '', ucfirst(str_replace('_', ' ', $p_request->module))) . '\\Controller\\Main'; if (class_exists($l_class)) { $l_controller = new $l_class($this->getDi()->application->module); } } if (isset($l_controller)) { if (method_exists($l_controller, 'pre')) { $l_controller->pre($p_request, $this); } if (isset($p_request->method) && $p_request->method !== '' && method_exists($l_controller, $p_request->method)) { $l_view = call_user_func( [ $l_controller, $p_request->method ], $p_request, $this ); } else { $l_view = $l_controller->handle( $p_request, $this->getDi()->application ); } if (is_a($l_controller, 'idoit\Controller\NavbarHandable')) { $dispatcher = \idoit\Dispatcher\NavbarDispatcher::factory($this->getDi()); $l_view = $dispatcher->dispatch( $l_controller, $p_request->get('POST') ->get(C__GET__NAVMODE) ); } \idoit\Tree\TreeProcessor::factory($this->getDi()) ->process($l_controller, $p_request); if (method_exists($l_controller, 'post')) { $l_controller->post($p_request, $this); } if ($l_view && is_a($l_view, 'idoit\View\Renderable', true)) { $l_view->process( $this->getDi()->application->module, $this->getDi()->template, $l_controller->dao($this->getDi()->application) ); $l_view->render(); } } else { if (($l_mod_id = $g_modman->is_installed($p_request->module))) { } else { $this->getDi()->application->error404($p_request); } } } } else { throw new \Exception( 'Request error for request ' . \isys_request_controller::instance() ->path() . ' : ' . var_export($p_request, true) ); } } }