<?php
/**
 * i-doit - Documentation and CMDB solution for IT environments
 *
 * This file is part of the i-doit framework. Modify at your own risk.
 *
 * Please visit http://www.i-doit.com/license for a full copyright and license information.
 *
 * @version     1.7
 * @package     i-doit
 * @author      synetics GmbH
 * @copyright   synetics GmbH
 * @url         http://www.i-doit.com
 * @license     http://www.i-doit.com/license
 */
namespace idoit\Legacy; use idoit\Component\Provider\DiFactory; class ModuleLoader { use DiFactory; public function boot($moduleId, $request) { global $g_modman; if (isset($g_modman) && is_object($g_modman)) { if (is_numeric($moduleId)) { try { $this->getDi()->application->module = $g_modman->load($moduleId, $request); } catch (\Exception $e) { $this->getDi()->notify->error( $e->getMessage(), \dstuecken\Notify\Handler\HeaderHandler::formatAttributes(null, null, 1, null, null, '400px') ); $this->getDi()->logger->addError( $e->getMessage() . ' (' . str_replace($this->getDi()->application->app_path . '/', '', $e->getFile()) . ':' . $e->getLine() . ')' ); } } else { $this->getDi()->session->logout(); if (defined("C__MODULE__CMDB") && is_numeric(C__MODULE__CMDB)) { die("Error: Module ID not numeric. Check your request or constant cache."); } else { \isys_component_constant_manager::instance() ->clear_dcm_cache(); die("Error: Module ID not numeric. Your constant cache is not loaded!"); } } } } }