<?php

/**
 * i-doit
 *
 * List DAO: Room.
 *
 * @package     i-doit
 * @subpackage  CMDB_Category_lists
 * @author      Leonard Fischer <lfischer@i-doit.org>
 * @copyright   synetics GmbH
 * @license     http://www.gnu.org/licenses/agpl-3.0.html GNU AGPLv3
 * @since       0.9.9-9
 */
class isys_cmdb_dao_list_objects_room extends isys_cmdb_dao_list_objects
{
    /**
     * Method for retrieving the default JSON encoded array of the property-selector.
     *
     * @return  string
     * @author  Leonard Fischer <lfischer@i-doit.org>
     */
    public function get_default_list_config()
    {
        return '[[' . C__PROPERTY_TYPE__DYNAMIC . ',"_id",false,"LC__CMDB__OBJTYPE__ID","isys_cmdb_dao_category_g_global::get_dynamic_properties",["isys_cmdb_dao_category_g_global","dynamic_property_callback_id"]],' . '[' . C__PROPERTY_TYPE__DYNAMIC . ',"_title",false,"LC__UNIVERSAL__TITLE_LINK","isys_cmdb_dao_category_g_global::get_dynamic_properties",["isys_cmdb_dao_category_g_global","dynamic_property_callback_title"]],' . '[' . C__PROPERTY_TYPE__STATIC . ',"location_path","isys_catg_location_list__parentid","LC__CMDB__CATG__LOCATION_PATH","isys_cmdb_dao_category_g_location::get_properties",false],' . '[' . C__PROPERTY_TYPE__STATIC . ',"floor","isys_cats_room_list__floor","LC__CMDB__CATS__ROOM_FLOOR","isys_cmdb_dao_category_s_room::get_properties_ng",false],' . '[' . C__PROPERTY_TYPE__STATIC . ',"number","isys_cats_room_list__number","LC__CMDB__CATS__ROOM_NUMBER","isys_cmdb_dao_category_s_room::get_properties_ng",false],' . '[' . C__PROPERTY_TYPE__STATIC . ',"type","isys_room_type__title","LC__CMDB__CATG__TYPE","isys_cmdb_dao_category_s_room::get_properties_ng",false],' . '[' . C__PROPERTY_TYPE__STATIC . ',"purpose","isys_purpose__title","LC__CMDB__CATG__GLOBAL_PURPOSE","isys_cmdb_dao_category_g_global::get_properties_ng",false],' . '[' . C__PROPERTY_TYPE__DYNAMIC . ',"_cmdb_status",false,"LC__UNIVERSAL__CMDB_STATUS","isys_cmdb_dao_category_g_global::get_dynamic_properties",["isys_cmdb_dao_category_g_global","dynamic_property_callback_cmdb_status"]]]';
    } // function
} // class