<?php
/**
 * i-doit
 *
 * "Custom fields" Module language file
 *
 * @package        custom fields
 * @subpackage     Language
 * @author         Van Quyen Hoang <qhoang@i-doit.com>
 * @copyright      2013 synetics GmbH
 * @version        1.2.1
 * @license        http://www.i-doit.com/license
 */

return [
    'LC__MODULE__JDISC'                                                               => 'JDisc',
    'LC__MODULE__JDISC__BROKEN_JDISC_CONFIGURATION'                                   => 'Die Konfiguration von JDisc ist unvollständig (%s). <a href="%s">Bitte überprüfen Sie die Einstellungen.</a>',
    'LC__MODULE__JDISC__CONFIGURATION'                                                => 'JDisc-Konfiguration',
    'LC__MODULE__JDISC__CONFIGURATION__COMMON_SETTINGS'                               => 'Allgemeine Einstellungen',
    'LC__MODULE__JDISC__CONFIGURATION__DATABASE'                                      => 'Datenbank',
    'LC__MODULE__JDISC__CONFIGURATION__HOST'                                          => 'Host',
    'LC__MODULE__JDISC__CONFIGURATION__ID'                                            => 'Konfigurations-ID',
    'LC__MODULE__JDISC__CONFIGURATION__PASSWORD'                                      => 'Passwort',
    'LC__MODULE__JDISC__CONFIGURATION__PORT'                                          => 'Port',
    'LC__MODULE__JDISC__CONFIGURATION__USERNAME'                                      => 'Benutzername',
    'LC__MODULE__JDISC__CONFIGURATION__USERNAME__DESCRIPTION'                         => 'Der Benutzer braucht lediglich Leserechte und wird von JDisc automatisch angelegt.',
    'LC__MODULE__JDISC__CONNECTION_CHECK'                                             => 'Verbindung prüfen',
    'LC__MODULE__JDISC__CONNECTION_SUCCESS'                                           => 'Die Verbindung zur JDisc-Datenbank ist korrekt konfiguriert.',
    'LC__MODULE__JDISC__IMPORT'                                                       => 'JDisc-Import',
    'LC__MODULE__JDISC__IMPORT__GROUP'                                                => 'JDisc-Gruppe',
    'LC__MODULE__JDISC__IMPORT__MODE'                                                 => 'Import-Modus',
    'LC__MODULE__JDISC__IMPORT__MODE_APPEND'                                          => 'Erstellen',
    'LC__MODULE__JDISC__IMPORT__MODE_UPDATE'                                          => 'Aktualisieren',
    'LC__MODULE__JDISC__IMPORT__MODE_OVERWRITE'                                       => 'Überschreiben',
    'LC__MODULE__JDISC__IMPORT__MODE__DESCRIPTION'                                    => "Der Import-Modus <b>\"Erstellen\"</b> wird alle gefundenen Objekte erstellen, ohne zu prüfen, ob diese bereits existieren.<br />Der Import-Modus <b>\"Aktualisieren\"</b> wird nur Objekte erstellen, die in i-doit nicht gefunden werden konnten. Kategorien von bereits existierenden Objekten werden (wenn nötig) um neue Daten ergänzt. <br />Beim Modus <b>\"Aktualisieren (Neu inventarisiert)\"</b> werden feste idoit-zu-jdisc-device Verknüpfungen verworfen und die Objektzugehörigkeiten neu errechnet.<br />Der Import-Modus <b>\"Überschreiben\"</b> verhält sich genauso wie der Modus \"Aktualisieren\" mit dem Unterschied, das Listen-Kategorien erst geleert und dann neu angelegt werden.",
    'LC__MODULE__JDISC__IMPORT__OPTIONS'                                              => 'Optionen',
    'LC__MODULE__JDISC__IMPORT__PROFILE'                                              => 'JDisc-Profil',
    'LC__MODULE__JDISC__IMPORT__RESULT'                                               => 'Ergebnis',
    'LC__MODULE__JDISC__IMPORT__SUCCEEDED'                                            => 'Der Import war erfolgreich.',
    'LC__MODULE__JDISC__IMPORT__FAILED'                                               => 'Der Import war nicht erfolgreich.',
    'LC__MODULE__JDISC__IMPORT__CREATE_SEARCH_INDEX'                                  => 'Such-Index nach erfolgreichem Import neu generieren',
    'LC__MODULE__JDISC__MISSING_GROUPS'                                               => 'Es konnten keine JDisc Gruppen gefunden werden.',
    'LC__MODULE__JDISC__MISSING_PROFILES'                                             => 'Es konnten keine JDisc Profile gefunden werden.',
    'LC__MODULE__JDISC__OBJECT_TYPE_ASSIGNMENTS'                                      => 'Objekttyp-Zuweisungen',
    'LC__MODULE__JDISC__OBJECT_TYPE_ASSIGNMENTS__ID'                                  => 'ID der Object-Typ-Zuweisung',
    'LC__MODULE__JDISC__OBJECT_TYPE_ASSIGNMENTS__JDISC_OS'                            => 'JDisc-Betriebssystem',
    'LC__MODULE__JDISC__OBJECT_TYPE_ASSIGNMENTS__JDISC_OS__DESCRIPTION'               => 'Die Daten stammen von JDisc und repräsentieren das Feld "Device Operating System". Das Feld kann leer bleiben, um alle Optionen auszuwählen.',
    'LC__MODULE__JDISC__OBJECT_TYPE_ASSIGNMENTS__JDISC_TYPE'                          => 'JDisc-Typ',
    'LC__MODULE__JDISC__OBJECT_TYPE_ASSIGNMENTS__JDISC_TYPE__DESCRIPTION'             => 'Die Daten stammen von JDisc und repräsentieren das Feld "Device Type". Das Feld kann leer bleiben, um alle Optionen auszuwählen.',
    'LC__MODULE__JDISC__OBJECT_TYPE_ASSIGNMENTS__OBJECT_TYPE'                         => 'Objekttyp',
    'LC__MODULE__JDISC__OBJECT_TYPE_ASSIGNMENTS__OBJECT_TYPE__DESCRIPTION'            => 'Die Daten stammen aus i-doit. Die Zuweisung wird ignoriert, wenn das Feld leer ist.',
    'LC__MODULE__JDISC__OBJECT_TYPE_ASSIGNMENTS__PROFILE'                             => 'Profil',
    'LC__MODULE__JDISC__OBJECT_TYPE_ASSIGNMENTS__CUSTOMIZED'                          => '[benutzerdefiniert]',
    'LC__MODULE__JDISC__OBJECT_TYPE_ASSIGNMENTS__CUSTOMIZED__DESCRIPTION'             => 'Wildcards wie "*" sind erlaubt.',
    'LC__MODULE__JDISC__PROFILES'                                                     => 'JDisc-Profile',
    'LC__MODULE__JDISC__PROFILES__ACTIONS'                                            => 'Aktionen',
    'LC__MODULE__JDISC__PROFILES__ADD_NEW_ASSIGNMENT'                                 => 'neue Zuweisung hinzufügen',
    'LC__MODULE__JDISC__PROFILES__DUPLICATE_ASSIGNMENT'                               => 'Zuweisung duplizieren',
    'LC__MODULE__JDISC__PROFILES__COMMON_SETTINGS'                                    => 'Allgemeine Einstellungen',
    'LC__MODULE__JDISC__PROFILES__DELETE_THIS_ASSIGNMENT'                             => 'diese Zuweisung löschen',
    'LC__MODULE__JDISC__PROFILES__DESCRIPTION'                                        => 'Beschreibung',
    'LC__MODULE__JDISC__PROFILES__ID'                                                 => 'ID',
    'LC__MODULE__JDISC__PROFILES__TITLE'                                              => 'Titel',
    'LC__MODULE__JDISC__PROFILES__CATEGORIES'                                         => 'Kategorien auswählen',
    'LC__MODULE__JDISC__PROFILES__CATEGORIES__DESCRIPTION'                            => 'Nur von JDisc unterstützte Kategorien sind aufgelistet.',
    'LC__MODULE__JDISC__ADDITIONAL_OPTIONS'                                           => 'Zusätzliche Optionen',
    'LC__MODULE__JDISC__NETWORK_IMPORT__IMPORT_ALL'                                   => 'Layer-3-Netze beim Import berücksichtigen',
    'LC__MODULE__JDISC__NETWORK_IMPORT__IMPORT_ALL__DESCRIPTION'                      => 'Layer-3-Netze, die in JDisc dokumentiert sind, können in i-doit importiert und mit den Komponenten, die in diesen Netzen liegen, referenziert werden. Ansonsten werden keine Netze importiert, sondern lediglich diejenigen Netze referenziert, die bereits in i-doit dokumentiert sind.',
    'LC__MODULE__JDISC__NETWORK_IMPORT__COUNTER'                                      => 'Anzahl in JDisc dokumentierter Layer-3-Netze',
    'LC__MODULE__JDISC__SOFTWARE_IMPORT__IMPORT_ALL'                                  => 'Software beim Import berücksichtigen',
    'LC__MODULE__JDISC__SOFTWARE_IMPORT__IMPORT_ALL__DESCRIPTION'                     => 'i-doit trennt zwischen Software (Anwendungen, Betriebssysteme, usw.) und Software-Installationen auf Objekten. Ist diese Option aktiviert, wird die in JDisc dokumentierte Software importiert und mit den Komponenten, auf denen sie installiert ist, referezenziert. Ansonsten wird keine weitere Software importiert, sondern lediglich diejenige Software referenziert, die bereits in i-doit dokumentiert ist.',
    'LC__MODULE__JDISC__SOFTWARE_IMPORT__COUNTER'                                     => 'Anzahl in JDisc dokumentierter Software',
    'LC__MODULE__JDISC__START_IMPORT'                                                 => 'Importvorgang starten',
    'LC__MODULE__JDISC__LINK_TO_IMPORT'                                               => 'JDisc-Import',
    'LC__MODULE__JDISC__LINK_TO_CONFIGURATION'                                        => 'JDisc-Konfiguration',
    'LC__MODULE__JDISC__LINK_TO_PROFILES'                                             => 'JDisc-Profile',
    'LC__MODULE__JDISC__DUPLICATE_PROFILES'                                           => 'Profile duplizieren',
    'LC__MODULE__JDISC__ORIGINAL_NAME'                                                => 'Ursprünglicher Name des Profils',
    'LC__MODULE__JDISC__NEW_NAME'                                                     => 'Neuer Name des Profils',
    'LC__MODULE__JDISC__SHOW_DEBUG'                                                   => 'Debug Meldungen ausgeben',
    'LC__MODULE__JDISC__VERSION_CHECK_FAILED'                                         => 'Ihre aktuelle JDisc Version %s ist veraltet. Um den Import mit allen Vorzügen nutzen zu können, wird die JDisc Version >= %s vorausgesetzt. Optional können Sie in der JDisc Konfiguration das importieren von älteren JDisc Versionen einstellen.',
    'LC__MODULE__JDISC__IMPORT__FILTER_TYPE__FILTER_HOSTADDRESS'                      => 'Filter nach Hostadresse(n)',
    'LC__MODULE__JDISC__IMPORT__FILTER_DEVICES_FOR_A_HOST_ADDRESS'                    => 'JDisc-Geräte nach einer Hostadresse filtern',
    'LC__MODULE__JDISC__IMPORT__FILTER_DEVICES_FOR_HOST_ADDRESSES_FROM_A_FILE'        => 'JDisc-Geräte nach Hostadressen aus einer Datei filtern',
    'LC__MODULE__JDISC__IMPORT__LOGGING'                                              => 'Protokollierung',
    'LC__MODULE__JDISC__IMPORT__SHOW_LOG'                                             => 'Ausführliches Protokoll anzeigen',
    'LC__MODULE__JDISC__IMPORT__LOGGING_LESS'                                         => 'Weniger',
    'LC__MODULE__JDISC__IMPORT__LOGGING_DETAIL'                                       => 'Detailliert (langsamer)',
    'LC__MODULE__JDISC__IMPORT__LOGGING_DEBUG'                                        => 'Detailliert+Debug (sehr langsam & Speicherintensiv)',
    'LC__MODULE__JDISC__OBJECT_TYPE_ASSIGNMENTS__PORT_FILTER'                         => 'Port Filter',
    'LC__MODULE__JDISC__OBJECT_TYPE_ASSIGNMENTS__PORT_FILTER__TYPE__NORMAL'           => 'Normal Import',
    'LC__MODULE__JDISC__OBJECT_TYPE_ASSIGNMENTS__PORT_FILTER__TYPE__NO_IMPORT'        => 'Kein Import',
    'LC__MODULE__JDISC__OBJECT_TYPE_ASSIGNMENTS__PORT_FILTER__TYPE__LOGICAL_PORT'     => 'Logischer Port',
    'LC__MODULE__JDISC__OBJECT_TYPE_ASSIGNMENTS__PORT_FILTER__TYPE__PHYSICAL_PORT'    => 'Physikalischer Port',
    'LC__MODULE__JDISC__OBJECT_TYPE_ASSIGNMENTS__PORT_FILTER__TYPE__FC_PORT'          => 'FC-Port',
    'LC__MODULE__JDISC__IMPORT__FILTER_DEVICES_FOR_IP_FROM_FILE__DESCRIPTION'         => 'In der Datei müssen alle Hostadressen untereinander stehen.',
    'LC__MODULE__JDISC__IMPORT__OVERWRITE_IP_ADDRESSES__DESCRIPTION_ACTIVATED'        => 'Um diese Funktion verwenden zu können muss unter Systemeinstellungen der Unique check für IP-Adressen aktiviert sein. ',
    'LC__MODULE__JDISC__IMPORT__OVERWRITE_IP_ADDRESSES__DESCRIPTION_DEACTIVATED'      => 'Diese Funktion verhindert das die importierten Objekte eine automatisch generierte IP-Adresse erhalten wenn es zu Konflikten mit anderen Geräten kommen sollte. Die in Konflikt geratenen IP-Adressen werden automatisch eines der Globalen Netzen zugewiesen, ohne dass sich die IP-Adresse verändert.',
    'LC__MODULE__JDISC__ADD_CUSTOM_ATTRIBUTES'                                        => 'Custom attributes importieren',
    'LC__CMDB__CATG__JDISC_CUSTOM_ATTRIBUTES'                                         => 'JDisc Custom Attributes',
    'LC__CATG__JDISC__CUSTOM_ATTRIBUTES__ATTRIBUTE'                                   => 'Attribut',
    'LC__CATG__JDISC__CUSTOM_ATTRIBUTES__CONTENT'                                     => 'Wert',
    'LC__CATG__JDISC__CUSTOM_ATTRIBUTES__FOLDER'                                      => 'Ordner',
    'LC__CATG__JDISC__CUSTOM_ATTRIBUTES__TYPE'                                        => 'Typ',
    'LC__CATG__JDISC__CUSTOM_ATTRIBUTES_TYPE__TEXT'                                   => 'Text',
    'LC__CATG__JDISC__CUSTOM_ATTRIBUTES_TYPE__MULTITEXT'                              => 'Multiline text',
    'LC__CATG__JDISC__CUSTOM_ATTRIBUTES_TYPE__DATE'                                   => 'Date',
    'LC__CATG__JDISC__CUSTOM_ATTRIBUTES_TYPE__TIME'                                   => 'Time',
    'LC__CATG__JDISC__CUSTOM_ATTRIBUTES_TYPE__INTEGER'                                => 'Integer',
    'LC__CATG__JDISC__CUSTOM_ATTRIBUTES_TYPE__ENUMERATION'                            => 'Enumeration',
    'LC__CATG__JDISC__CUSTOM_ATTRIBUTES_TYPE__CURRENCY'                               => 'Currency',
    'LC__CATG__JDISC__CUSTOM_ATTRIBUTES_TYPE__DOCUMENT'                               => 'Document',
    'LC__MODULE__JDISC__VLAN_IMPORT__IMPORT_ALL'                                      => 'VLans beim Import berücksichtigen',
    'LC__MODULE__JDISC__OBJECT_TYPE_ASSIGNMENTS__LOCATION'                            => 'Standort',
    'LC__MODULE__JDISC__ERROR_COULD_NOT_CONNECT_TO_JDISC_SERVER'                      => 'Es konnte keine Verbindung zum ausgewählten JDisc Server hergestellt werden.',
    'LC__MODULE__JDISC__DISCOVERY__HOST'                                              => 'Host',
    'LC__MODULE__JDISC__DISCOVERY__JOBS__NO_DISCOVERY_JOBS'                           => 'Keine Discovery Jobs im JDisc definiert. Bitte erstellen Sie mindestens 1 Job.',
    'LC__MODULE__JDISC__DISCOVERY__JOBS__NO_CONNECTION'                               => 'Mit der aktuellen Discovery Einstellung konnte keine Verbindung zum Host hergestellt werden oder der JDisc Web Service ist nicht aktiv/installiert.',
    'LC__MODULE__JDISC__BUTTON__START_DISCOVERY'                                      => 'JDisc Discovery starten',
    'LC__MODULE__JDISC__IMPORT__REQUEST_ERROR'                                        => 'Der Import wurde unerwartet beendet! Bitte prüfen Sie das Exception Log im Verzeichnis %s, sowie das Apache Error Log.',
    'LC__MODULE__JDISC__CONFIGURATION__DISCOVERY_SETTINGS'                            => 'Discovery Einstellungen',
    'LC__MODULE__JDISC__CONFIGURATION__DISCOVERY_USERNAME'                            => 'Benutzername (Discovery)',
    'LC__MODULE__JDISC__CONFIGURATION__DISCOVERY_PASSWORD'                            => 'Passwort (Discovery)',
    'LC__MODULE__JDISC__CONFIGURATION__DISCOVERY_PORT'                                => 'Port (Discovery)',
    'LC__MODULE__JDISC__CONFIGURATION__DISCOVERY_PROTOCOL'                            => 'Protokoll (Discovery)',
    'LC__MODULE__JDISC__DISCOVERY__JOBS__SUCCESS'                                     => 'Discovery Job wurde erfolgreich gestartet.',
    'LC__MODULE__JDISC__DISCOVERY__JOBS__FAILED'                                      => 'Discovery Job konnte nicht gestartet werden.',
    'LC__MODULE__JDISC__DISCOVERY__CONNECTION_SUCCESS'                                => 'Die Verbindung zum JDisc Web Service konnte hergestellt werden. Discovery Einstellungen sind korrekt.',
    'LC__MODULE__JDISC__DISCOVERY__CONNECTION_FAILED'                                 => 'Die Verbindung zum JDisc Web Service konnte nicht hergestellt werden. Bitte überprüfen Sie die Korrektheit Ihrer Einstellungen und ob der Web Service aktiviert und eingerichtet ist.',
    'LC__CMDB__CATG__JDISC_DISCOVERY'                                                 => 'JDisc Discovery',
    'LC__CMDB__CATG__JDISC_DISCOVERY__SCAN'                                           => 'Objekt mit JDisc neu scannen',
    'LC__CMDB__CATG__JDISC_DISCOVERY__UPDATE_OBJECT'                                  => 'Objekt aus JDisc aktualisieren',
    'LC__CMDB__CATG__JDISC_DISCOVERY__SCAN_UPDATE_OBJECT'                             => 'Neu scannen und aktualisieren',
    'LC__CMDB__CATG__JDISC_DISCOVERY__SCAN_STARTED'                                   => 'Scan für Gerät "%s" wurde gestartet.',
    'LC__CMDB__CATG__JDISC_DISCOVERY__SCAN_FAILED'                                    => 'Scan für Gerät "%s" konnte nicht gestartet werden. Prüfen Sie ob das Gerät im Netz vorhanden ist.',
    'LC__CMDB__CATG__JDISC_DISCOVERY__DEFAULT_PROFILE'                                => 'Standard Profil',
    'LC__CMDB__CATG__JDISC_DISCOVERY__UPDATE_MODE'                                    => 'Aktualisierungs-Modus',
    'LC__CMDB__CATG__JDISC_DISCOVERY__JDISC_PROFILE'                                  => 'JDisc-Profil',
    'LC__CMDB__CATG__JDISC_DISCOVERY__JDISC_SERVER'                                   => 'JDisc-Server',
    'LC__CMDB__CATG__JDISC_DISCOVERY__DISCOVERY_FINISHED'                             => 'JDisc Scan wurde erfolreich abgeschlossen.',
    'LC__CMDB__CATG__JDISC_DISCOVERY__UPDATE_OBJECT_ERROR'                            => 'Objekt konnte nicht in JDisc Datenbank gefunden werden. (JDisc Profil trifft nicht zu?)',
    'LC__CMDB__CATG__JDISC_DISCOVERY__DISCOVERY_LOG'                                  => 'Discovery Log',
    'LC__CMDB__CATG__JDISC_DISCOVERY__IMPORT_RESULT'                                  => 'Import Ergebnis',
    'LC__MODULE__JDISC__REQUEST_ERROR'                                                => 'Der Request konnte nicht ordnungsgemäß beendet werden! Bitte prüfen Sie die Logs.',
    'LC__MODULE__JDISC__OBJTYPE_CONFIG__DEFAULT_PROFILE'                              => 'JDisc Standard Profil',
    'LC__MODULE__JDISC__CONFIGURATION__DISCOVERY_USERNAME__DESCRIPTION'               => 'Benutzername für die JDisc Anwendung.',
    'LC__MODULE__JDISC__DISCOVERY__JOBS__DISCOVERY_JOB_DESCRIPTION'                   => 'Beschreibung',
    'LC__MODULE__JDISC__ERROR_COULD_NOT_CONNECT_WITH_MESSAGE'                         => 'Es konnte keine Verbindung hergestellt werden: "%s". Bitte überprüfen Sie die Konfiguration des ausgewählten JDisc Servers.',
    'LC__MODULE__JDISC__ERROR_OBJECTTYPES_NOT_DEFINED_OR_ACTIVATED'                   => 'Es sind keine Objekttypen im JDisc-Profil definiert oder wurden in der Objekttypkonfiguration deaktiviert worden.',
    'LC__MODULE__JDISC__PROFILES__IMPORT_TYPE_INTERFACES_CHASSIS'                     => 'Netzwerk Interfaces importieren als',
    'LC__MODULE__JDISC__PROFILES__IMPORT_TYPE_INTERFACES_CHASSIS__CATEGORY_INTERFACE' => 'Kategorie: Interface',
    'LC__MODULE__JDISC__PROFILES__IMPORT_TYPE_INTERFACES_CHASSIS__CATEGORY_CHASSIS'   => 'Kategorie: Chassis (Zugewiesene Geräte)',
    'LC__MODULE__JDISC__PROFILES__IMPORT_TYPE_INTERFACES_CHASSIS__BOTH_CATEGORIES'    => 'Kategorie: Interface und Chassis (Zugewiesene Geräte)',
    'LC__MODULE__JDISC__PROFILES__CHANGE_CMDB_STATUS_OF_OBJECTS_TO'                   => 'CMDB-Status der Objekte ändern auf',
    'LC__MODULE__JDISC__USE_DEFAULT_TEMPLATES'                                        => 'Standard Templates aus Objekttypen berücksichtigen (nur bei Neuanlage)',
    'LC__MODULE__JDISC__IMPORT__MODE_UPDATE_NEW_DISCOVERED'                           => 'Aktualisieren (Neu inventarisiert)',
    'LC__MODULE__JDISC__PROFILES__KEEP_CMDB_STATUS'                                   => 'CMDB-Status beibehalten',
    'LC__MODULE__JDISC__PROFILES__SOFTWARE_FILTER'                                    => 'Software Filter',
    'LC__MODULE__JDISC__PROFILES__SOFTWARE_FILTER__DESCRIPTION'                       => 'Eine Kommaseparierte Liste von Software die importiert <b>(Whitelist)</b> oder übersprungen <b>(Blacklist)</b> werden soll. Der Filter gilt nur in Verbindung mit der Kategorie <b>Softwarezuweisung</b>. (Beispiel: *windows*,Adobe*,*SUSE)',
    'LC__MODULE__JDISC__PROFILES__SOFTWARE_FILTER_TYPE'                               => 'Software Filter Typ',
    'LC__MODULE__JDISC__PROFILES__SOFTWARE_FILTER_TYPE__WHITELIST'                    => 'Whitelist',
    'LC__MODULE__JDISC__PROFILES__SOFTWARE_FILTER_TYPE__BLACKLIST'                    => 'Blacklist',
    'LC__MODULE__JDISC__PROFILES__CHASSIS_ASSIGNED_OBJTYPE'                           => 'Objekttyp der zugewiesenen Module innerhalb eines Blade/Chassis Gerätes',
    'LC__MODULE__JDISC__CLUSTER_IMPORT__IMPORT_ALL'                                   => 'Cluster beim Import berücksichtigen',
    'LC__MODULE__JDISC__CLUSTER_IMPORT__IMPORT_ALL__DESCRIPTION'                      => 'Cluster, die in JDisc dokumentiert sind, können in i-doit importiert und mit den Komponenten, die in diesen Clustern liegen, referenziert werden. Ansonsten werden keine Cluster importiert und die bestehenden Referenzierungen werden nicht aktualisiert.',
    'LC__MODULE__JDISC__CLUSTER_IMPORT__COUNTER'                                      => 'Anzahl in JDisc dokumentierte Cluster',
    'LC__MODULE__JDISC__BLADE_CONNECTIONS_IMPORT__IMPORT_ALL'                         => 'Blade/Chassis Verbindungen beim Import berücksichtigen',
    'LC__MODULE__JDISC__BLADE_CONNECTIONS_IMPORT__IMPORT_ALL__DESCRIPTION'            => 'Die in JDisc dokumentierte Blade/Chassis Verbindungen, können in i-doit importiert und referenziert werden. Ansonsten werden die Verbindungen nicht importiert und die bestehenden Referenzierungen werden nicht aktualisiert.',
    'LC__MODULE__JDISC__BLADE_CONNECTIONS_IMPORT__COUNTER'                            => 'Anzahl in JDisc dokumentierte Blade/Chassis Verbindungen',
    'LC__MODULE__JDISC__BLADE_CONNECTIONS_IMPORT__CONNECTION_TO_FOLLOWING_TYPES'      => 'Verbindungen zu folgenden JDisc-Typen:',
    'LC__MODULE__JDISC__CONFIGURATION__DEFAULT_SERVER'                                => 'Standard Server',
    'LC__MODULE__JDISC__CONFIGURATION__ALLOW_IMPORT_OLDER_VERSION'                    => 'Import älterer JDisc Version erlauben?',
    'LC__MODULE__JDISC__CONFIGURATION__VERSION_CHECK'                                 => 'Versionsüberprüfung',
    'LC__MODULE__JDISC__IMPORT__JDISC_SERVERS'                                        => 'JDisc Server',
    'LC__MODULE__JDISC__IMPORT__JDISC_SERVER__ERROR_MSG'                              => 'Die Zugangsdaten für den aktuell ausgewählten JDisc Server sind nicht korrekt.',
    'LC__MODULE__JDISC__IMPORT__OVERWRITE_IP_CONFLICTS'                               => 'Sich überschneidende Hostadressen überschreiben?',
    'LC__AUTH_GUI__JDISC_CONDITION'                                                   => 'JDisc',
    'LC__MODULE__JDISC__POPUP__ERROR__NO_SELECTED_PROFILE'                            => 'Es wurde kein JDisc-Profil ausgewählt.',
    'LC__MODULE__JDISC__ERROR_JDISC_PROFILE__NO_OBJECT_MATCHING_PROFILE'              => 'Im ausgewählte JDisc-Profil wurde kein Objekt-Matching Profil ausgewählt.',
    'LC__MODULE__JDISC__SOFTWARE_IMPORT__LICENCES'                                    => 'Softwarelizenzen beim Import berücksichtigen'
];