<?php
/**
 * i-doit - Updates.
 *
 * Migration for removing the cmdb directory
 *
 * @package     i-doit
 * @subpackage  Update
 * @copyright   synetics GmbH
 * @license     http://www.gnu.org/licenses/agpl-3.0.html GNU AGPLv3
 * @author      Dennis Stücken <dstuecken@i-doit.de>
 */

// Initialization
global $g_absdir;


// Path to cmdb folder
$l_cmdb_dir = $g_absdir . DS . 'src' . DS . 'classes' . DS . 'cmdb';

// Does directory exists?
if (is_dir($l_cmdb_dir))
{
	if (is_writeable($l_cmdb_dir))
	{
		// Remove entire cmdb directory
		$fileman = new isys_component_filemanager();
		$fileman->remove_files($l_cmdb_dir);
	}
	else throw new Exception('Error removing directory "'.$l_cmdb_dir.'". Set writing rights to your apache user and reload the page or remove directory manually.');
}