<?php

/**
 *
 * @package    i-doit
 * @author     Dennis Stücken <dstuecken@i-doit.org>
 * @version    1.0
 * @copyright  synetics GmbH
 * @license    http://www.gnu.org/licenses/agpl-3.0.html GNU AGPLv3
 */
class isys_cmdb_dao_list_catg_sound extends isys_cmdb_dao_list implements isys_cmdb_dao_list_interface
{
	/**
	 *
	 * @return  integer
	 */
	public function get_category ()
	{
		return C__CATG__SOUND;
	} // function


	/**
	 *
	 * @return  integer
	 */
	public function get_category_type ()
	{
		return C__CMDB__CATEGORY__TYPE_GLOBAL;
	} // function


	/**
	 *
	 * @return  array
	 */
	public function get_fields ()
	{
		return array(
			"isys_sound_manufacturer__title" => "LC__CMDB__CATG__MANUFACTURER",
			"isys_catg_sound_list__title" => "LC__CMDB__CATG__TITLE"
		);
	} // function
} // class