<?php
/**
 * i-doit - Documentation and CMDB solution for IT environments
 *
 * This file is part of the i-doit framework. Modify at your own risk.
 *
 * Please visit http://www.i-doit.com/license for a full copyright and license information.
 *
 * @version     1.7
 * @package     i-doit
 * @author      synetics GmbH
 * @copyright   synetics GmbH
 * @url         http://www.i-doit.com
 * @license     http://www.i-doit.com/license
 */
namespace idoit\Module\Cmdb\Model\Matcher\Identifier; use idoit\Module\Cmdb\Model\Matcher\AbstractIdentifier; class Username extends AbstractIdentifier { const KEY = 'username'; protected $title = 'LC__LOGIN__USERNAME'; protected static $bit = 1024; protected $sqlSelect = ''; protected $usableIn = [ 'CSV' ]; public function __construct() { $this->sqlSelect = 'SELECT isys_obj__id AS id, isys_obj__title AS title, isys_obj__isys_obj_type__id AS type, \'' . self::KEY . '\' AS identKey
            FROM isys_obj
            INNER JOIN isys_cats_person_list ON isys_cats_person_list__isys_obj__id = isys_obj__id
            WHERE isys_cats_person_list__title = :value:
            AND isys_obj__status = :status: :condition:'; } } 