<?php
/**
 * i-doit - Documentation and CMDB solution for IT environments
 *
 * This file is part of the i-doit framework. Modify at your own risk.
 *
 * Please visit http://www.i-doit.com/license for a full copyright and license information.
 *
 * @version     1.7
 * @package     i-doit
 * @author      synetics GmbH
 * @copyright   synetics GmbH
 * @url         http://www.i-doit.com
 * @license     http://www.i-doit.com/license
 */
namespace idoit\Module\Cmdb\Model\Matcher; use idoit\Component\ContainerFacade; use idoit\Component\Provider\DiInjectable; use idoit\Exception\Exception; class MatchConfig { use DiInjectable; protected $id; protected $title; protected $bits; protected $minMatch; protected $dao; public function getId() { return $this->id; } public function setId($id) { $this->id = $id; return $this; } public function getTitle() { return $this->title; } public function setTitle($title) { $this->title = $title; return $this; } public function getBits() { return $this->bits; } public function setBits($bits) { $this->bits = $bits; return $this; } public function getMinMatch() { return $this->minMatch; } public function setMinMatch($minMatch) { $this->minMatch = $minMatch; return $this; } public function getDao() { return $this->dao; } public function setDao($dao) { $this->dao = $dao; return $this; } public function load($isysObjMatchId) { $data = $this->dao->retrieve( 'SELECT * FROM isys_obj_match WHERE isys_obj_match__id = ' . $this->dao->convert_sql_int($isysObjMatchId) ) ->get_row(); if (!$data) { throw new Exception(sprintf('Matching profile "%s" was not found', $isysObjMatchId)); } $this->id = $data['isys_obj_match__id']; $this->title = $data['isys_obj_match__title']; $this->bits = $data['isys_obj_match__bits']; $this->minMatch = $data['isys_obj_match__min_match']; return $this; } public static function factory($profileId, ContainerFacade $di) { $config = new self($di); return $config->load($profileId); } public function __construct(ContainerFacade $di) { $this->setDi($di); $this->dao = new MatchDao($di->database); } }