<?php
/**
 * i-doit
 *
 * Module initializer
 *
 * @package     i-doit
 * @subpackage  Modules
 * @author      Dennis Stücken <dstuecken@i-doit.com>
 * @version     1.5.3
 * @copyright   synetics GmbH
 * @license     http://www.gnu.org/licenses/agpl-3.0.html GNU AGPLv3
 */

if (include_once('isys_module_search_autoload.class.php'))
{
	spl_autoload_register('isys_module_search_autoload::init');
}

if (class_exists('\idoit\Psr4AutoloaderClass'))
{
	\idoit\Psr4AutoloaderClass::factory()->addNamespace('idoit\Module\Search', __DIR__ . '/src/');
}