<?php
/**
 * i-doit - Documentation and CMDB solution for IT environments
 *
 * This file is part of the i-doit framework. Modify at your own risk.
 *
 * Please visit http://www.i-doit.com/license for a full copyright and license information.
 *
 * @version     1.7
 * @package     i-doit
 * @author      synetics GmbH
 * @copyright   synetics GmbH
 * @url         http://www.i-doit.com
 * @license     http://www.i-doit.com/license
 */
namespace idoit\Module\Search\Index\Observer; use idoit\Module\Cmdb\Model\Ci; use idoit\Module\Search\Index\Protocol\Observer; class ObserverRegistry { private static $observers = []; private static $instances; public static function register($name, callable $observer) { self::$observers[$name] = $observer; } public static function unregister($name) { unset(self::$observers[$name]); } public static function get() { if (!self::$instances) { foreach (self::$observers as $name => $observerService) { self::$instances[$name] = $observerService(); } } return self::$instances; } private function __construct() { } }