<?php
/**
 * i-doit - Documentation and CMDB solution for IT environments
 *
 * This file is part of the i-doit framework. Modify at your own risk.
 *
 * Please visit http://www.i-doit.com/license for a full copyright and license information.
 *
 * @version     1.7
 * @package     i-doit
 * @author      synetics GmbH
 * @copyright   synetics GmbH
 * @url         http://www.i-doit.com
 * @license     http://www.i-doit.com/license
 */
namespace idoit\Module\Search\Index; use idoit\Module\Search\Index\Protocol\ObservableIndexManager; class Registry { private static $indexManagers = []; private static $instances; public static function register($name, callable $observableIndexManager) { self::$indexManagers[$name] = $observableIndexManager; } public static function unregister($name) { unset(self::$indexManagers[$name]); } public static function get($observers = [], $categoryBlacklist = [], $objectTypeBlacklist = []) { if (!self::$instances) { foreach (self::$indexManagers as $name => $manager) { self::$instances[$name] = $manager($observers, $categoryBlacklist, $objectTypeBlacklist); self::$instances[$name]->setName($name); } } return self::$instances; } }