<?php
/**
 * i-doit - Documentation and CMDB solution for IT environments
 *
 * This file is part of the i-doit framework. Modify at your own risk.
 *
 * Please visit http://www.i-doit.com/license for a full copyright and license information.
 *
 * @version     1.7
 * @package     i-doit
 * @author      synetics GmbH
 * @copyright   synetics GmbH
 * @url         http://www.i-doit.com
 * @license     http://www.i-doit.com/license
 */
namespace idoit\Component\ClassLoader; use Symfony\Component\ClassLoader\MapClassLoader as SymfonyMapClassLoader; class MapClassLoader extends SymfonyMapClassLoader { protected $basePath = ''; protected $map = []; public static function factory(array $map, $basePath = '') { return new self($map, $basePath); } public function __construct(array $map, $basePath = '') { $this->map = $map; if (file_exists($basePath)) { $this->basePath = $basePath; } } public function loadClass($class) { if (isset($this->map[$class]) && file_exists($this->basePath . $this->map[$class])) { require $this->basePath . $this->map[$class]; return true; } return false; } } 