<h2 class="p5 gradient text-shadow">E-Mail Templates</h2>

<fieldset class="overview">
	<legend><span>[{isys type="lang" ident="LC__LOCALE__GERMAN"}]</span></legend>
	<table class="contentTable">
		<tbody>
		<tr>
			<td class="key">[{isys type="lang" ident="LC__NOTIFICATIONS__NOTIFICATION_TEMPLATE_SUBJECT"}]</td>
			<td class="value">[{isys type="f_text" name="email_de_subject" p_strValue=$email_de_subject p_bEditMode=1}]</td>
		</tr>
		<tr>
			<td class="key">[{isys type="lang" ident="LC__UNIVERSAL__TEMPLATE"}]</td>
			<td class="value">[{isys type="f_textarea" name="email_de_body" p_strValue=$email_de_body p_bEditMode=1}]</td>
		</tr>
		<tbody>
	</table>
</fieldset>

<fieldset class="overview">
	<legend><span>[{isys type="lang" ident="LC__LOCALE__ENGLISH"}]</span></legend>
	<table class="contentTable mt10">
		<tr>
			<td class="key">[{isys type="lang" ident="LC__NOTIFICATIONS__NOTIFICATION_TEMPLATE_SUBJECT"}]</td>
			<td class="value">[{isys type="f_text" name="email_en_subject" p_strValue=$email_en_subject p_bEditMode=1}]</td>
		</tr>
		<tr>
			<td class="key">[{isys type="lang" ident="LC__UNIVERSAL__TEMPLATE"}]</td>
			<td class="value">[{isys type="f_textarea" name="email_en_body" p_strValue=$email_en_body p_bEditMode=1}]</td>
		</tr>
	</table>
</fieldset>

<fieldset class="overview">
	<legend><span>[{isys type="lang" ident="LC__RFC__HELP"}]</span></legend>

	<div class="p5 mt5">
		<h2>[{isys type="lang" ident="LC__RFC__USEFULL_INFORMATION"}]</h2>
		<p>[{isys type="lang" ident="LC__RFC__USEFULL_INFORMATION_TEXT"}] <a href="http://www.smarty.net/documentation" target="_blank">Smarty 3 Documentation</a></p>

		<br />
		<h3>[{isys type="lang" ident="LC__RFC__INFORMATION_VARIABLE"}]</h3>
		<p>[{isys type="lang" ident="LC__RFC__INFORMATION_VARIABLE_TEXT"}] <code>[{ldelim}]VARIABLE[{rdelim}]</code>.</p>
		<p>[{isys type="lang" ident="LC__RFC__INFORMATION_VARIABLE_EXAMPLES"}]</p>

		<table class="mt5 ml10">
			<tr>
				<td class="right">Workflow title</td>
				<td class="pl20"><code class="bold">[{ldelim}]$g_task.title[{rdelim}]</code></td>
			</tr>
			<tr>
				<td class="right">Intiator fullname</td>
				<td class="pl20"><code class="bold">[{ldelim}]$g_task.initiator.fullname[{rdelim}]</code></td>
			</tr>
			<tr>
				<td class="right">Title of first contact</td>
				<td class="pl20"><code class="bold">[{ldelim}]$g_task.contacts.0.title[{rdelim}]</code></td>
			</tr>
		</table>

		<br/>
		<h3>[{isys type="lang" ident="LC__RFC__INFORMATION_VARIABLE_LIST"}]</h3>
        <pre>
  'id' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Workflow ID'</font>
  'link' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Workflow link'</font>
  'query' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Workflow query link'</font>
  'category' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Workflow category'</font>
  'type' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Workflow type'</font>
  'title' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Workflow title'</font>
  'status' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Workflow status'</font>
  'message' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Workflow message'</font>
  'contactID' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Workflow creator ID'</font>
  'objects' <font color=""><b>List of assigned objects</b></font> <font color="#888a85">=&gt;</font>
    <b>array</b>
      'id' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Object ID'</font>
      'title' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Object title'</font>
      'link' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Object link'</font>
      'status' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Object status ID'</font>
      'type' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Object type'</font>
  'contacts' <font color=""><b>List of assigned contacts</b></font> <font color="#888a85">=&gt;</font>
    <b>array</b>
      'id' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Contact ID'</font>
      'title' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Contact title'</font>
      'link' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Contact link'</font>
      'type' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Contact/Object type'</font>
  'initiator' <font color=""><b>Initiator/creator of the workflow</b></font> <font color="#888a85">=&gt;</font>
    <b>array</b>
      'fullname' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Intiator fullname'</font>
      'username' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Initiator lastname'</font>
      'id' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Initiator ID'</font>
  'actor' <font color=""><b>Actor depends on the situation. It can be the initiator on create or the person who is accepting the workflow</b></font> <font color="#888a85">=&gt;</font>
    <b>array</b>
      'id' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Actor ID'</font>
      'title' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Actor title'</font>
      'type' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Actor type'</font>
      'link' <font color="#888a85">=&gt;</font> <font color="#cc0000">'Actor link'</font></pre>
	</div>
</fieldset>