<?php

/**
 * i-doit
 *
 * List DAO: Supernet.
 *
 * @package     i-doit
 * @subpackage  CMDB_Category_lists
 * @author      Dennis Stücken <dstuecken@i-doit.org>
 * @copyright   synetics GmbH
 * @license     http://www.gnu.org/licenses/agpl-3.0.html GNU AGPLv3
 * @since       0.9.9-9
 */
class isys_cmdb_dao_list_objects_supernet extends isys_cmdb_dao_list_objects
{
    /**
     * Method for retrieving the default JSON encoded array of the property-selector.
     *
     * @return  string
     * @author  Leonard Fischer <lfischer@i-doit.org>
     */
    public function get_default_list_config()
    {
        return '[[' . C__PROPERTY_TYPE__DYNAMIC . ',"_id",false,"LC__CMDB__OBJTYPE__ID","isys_cmdb_dao_category_g_global::get_dynamic_properties",["isys_cmdb_dao_category_g_global","dynamic_property_callback_id"],"LC__CMDB__CATG__GLOBAL"],' . '[' . C__PROPERTY_TYPE__DYNAMIC . ',"_supernet_link",false,"LC__CMDB__CATG__SUPERNET__OPEN_SUPERNET","isys_cmdb_dao_category_g_virtual_supernet::get_dynamic_properties",["isys_cmdb_dao_category_g_virtual_supernet","dynamic_property_callback_supernet_link"],"LC__CMDB__CATG__SUPERNET"],' . '[' . C__PROPERTY_TYPE__STATIC . ',"type","isys_net_type__title","LC__CMDB__CATS__NET__TYPE","isys_cmdb_dao_category_s_net::get_properties_ng",false,"LC__CMDB__CATG__LOGBOOK"],' . '[2,"_address_with_suffix",false,"LC__CMDB__CATS__NET__ADDRESS_WITH_SUFFIX","isys_cmdb_dao_category_s_net::get_dynamic_properties",["isys_cmdb_dao_category_s_net","dynamic_property_callback_address_with_suffix"],"LC__CMDB__CATG__LOGBOOK"],' . '[' . C__PROPERTY_TYPE__DYNAMIC . ',"_address_with_suffix",false,"LC__CMDB__CATS__NET__ADDRESS_WITH_SUFFIX","isys_cmdb_dao_category_s_net::get_dynamic_properties",["isys_cmdb_dao_category_s_net","dynamic_property_callback_address_with_suffix"]],' . '[' . C__PROPERTY_TYPE__DYNAMIC . ',"_address_range",false,"LC__CMDB__CATS__NET__ADDRESS_RANGE","isys_cmdb_dao_category_s_net::get_dynamic_properties",["isys_cmdb_dao_category_s_net","dynamic_property_callback_address_range"],"LC__CMDB__CATG__LOGBOOK"],' . '[' . C__PROPERTY_TYPE__DYNAMIC . ',"_netmask",false,"LC__CATP__IP__SUBNETMASK","isys_cmdb_dao_category_s_net::get_dynamic_properties",["isys_cmdb_dao_category_s_net","dynamic_property_callback_netmask"],"LC__CMDB__CATG__LOGBOOK"],' . '[' . C__PROPERTY_TYPE__DYNAMIC . ',"_free_addresses",false,"LC__CMDB__CATG__NETWORK__ASS_IP","isys_cmdb_dao_category_s_net::get_dynamic_properties",["isys_cmdb_dao_category_s_net","dynamic_property_callback_free_addresses"],"LC__CMDB__CATG__LOGBOOK"],' . '[' . C__PROPERTY_TYPE__DYNAMIC . ',"_cmdb_status",false,"LC__UNIVERSAL__CMDB_STATUS","isys_cmdb_dao_category_g_global::get_dynamic_properties",["isys_cmdb_dao_category_g_global","dynamic_property_callback_cmdb_status"],"LC__CMDB__CATG__GLOBAL"]]';
    } // function
} // class