<?php
/**
 * i-doit Open
 *
 * Module initializer
 *
 * @package     i-doit
 * @subpackage  Modules
 * @author      Dennis Stücken <dstuecken@synetics.de>
 * @since       1.6.3
 * @copyright   synetics GmbH
 * @license     http://www.gnu.org/licenses/agpl-3.0.html GNU AGPLv3
 */
if (class_exists('\idoit\Psr4AutoloaderClass'))
{
    //\idoit\Psr4AutoloaderClass::factory()->addNamespace('idoit\Module\Open', __DIR__ . '/src/');

    isys_component_signalcollection::get_instance()
        ->connect(
            'mod.dashboard.afterInitialize',
            function (isys_module_dashboard $modDashboard)
            {
                if (!defined('C__MODULE__PRO') || !C__MODULE__PRO)
                {
                    $wdgts = $modDashboard->get_widgets();

                    if (!$wdgts || !is_array($wdgts['right'])) {
                        $wdgts['right'] = [];
                    }

                    array_unshift(
                        $wdgts['right'],
                        [
                            'id'           => 0,
                            'title'        => 'i-doit News',
                            'unique_id'    => 'iframe' . time(),
                            'identifier'   => 'iframe',
                            'config'       => '{&quot;title&quot;:&quot;i-doit News&quot;,&quot;url&quot;:&quot;//' . base64_decode(
                                    'bmV3cy5pLWRvaXQuY29t'
                                ) . '&quot;,&quot;height&quot;:250}',
                            'configurable' => 0,
                            'removable'    => 0,
                            'base64'       => 'eyJpZGVudGlmaWVyIjoiaWZyYW1lIiwiaWQiOjB9'
                            /*
                             base64_encode(
                                isys_format_json::encode(
                                    array(
                                        'identifier' => 'iframe',
                                        'id'         => 0
                                    )
                                )
                            )*/
                        ]
                    );
                    $modDashboard->set_widgets($wdgts);
                }

            }
        );

}